Streaming Jobs - Delete
Menghapus pekerjaan streaming.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.StreamAnalytics/streamingjobs/{jobName}?api-version=2020-03-01
Parameter URI
| Name |
In |
Required |
Type |
Description |
|
jobName
|
path |
True
|
|
Nama pekerjaan streaming.
|
|
resourceGroupName
|
path |
True
|
|
Nama grup sumber daya. Nama tidak peka huruf besar/kecil.
Regex pattern: ^[-\w\._\(\)]+$
|
|
subscriptionId
|
path |
True
|
|
ID langganan target.
|
|
api-version
|
query |
True
|
|
Versi API yang digunakan untuk operasi ini.
|
Respons
| Name |
Type |
Description |
|
200 OK
|
|
Pekerjaan streaming berhasil dihapus.
|
|
202 Accepted
|
|
Permintaan penghapusan berhasil dimulai.
|
|
204 No Content
|
|
Pekerjaan streaming tidak ada.
|
|
Other Status Codes
|
|
Kesalahan.
|
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name |
Description |
|
user_impersonation
|
meniru akun pengguna Anda
|
Contoh
Delete a streaming job
Sample Request
DELETE https://management.azure.com/subscriptions/56b5e0a9-b645-407d-99b0-c64f86013e3d/resourcegroups/sjrg6936/providers/Microsoft.StreamAnalytics/streamingjobs/sj59?api-version=2020-03-01
import com.azure.core.util.Context;
/** Samples for StreamingJobs Delete. */
public final class Main {
/*
* x-ms-original-file: specification/streamanalytics/resource-manager/Microsoft.StreamAnalytics/stable/2020-03-01/examples/StreamingJob_Delete.json
*/
/**
* Sample code: Delete a streaming job.
*
* @param manager Entry point to StreamAnalyticsManager.
*/
public static void deleteAStreamingJob(com.azure.resourcemanager.streamanalytics.StreamAnalyticsManager manager) {
manager.streamingJobs().delete("sjrg6936", "sj59", Context.NONE);
}
}
Read this SDK documentation on how to add the SDK to your project and authenticate.
package armstreamanalytics_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/streamanalytics/armstreamanalytics"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/tree/main/specification/streamanalytics/resource-manager/Microsoft.StreamAnalytics/stable/2020-03-01/examples/StreamingJob_Delete.json
func ExampleStreamingJobsClient_BeginDelete() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
client, err := armstreamanalytics.NewStreamingJobsClient("56b5e0a9-b645-407d-99b0-c64f86013e3d", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := client.BeginDelete(ctx,
"sjrg6936",
"sj59",
nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
_, err = poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
}
Read this SDK documentation on how to add the SDK to your project and authenticate.
const { StreamAnalyticsManagementClient } = require("@azure/arm-streamanalytics");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Deletes a streaming job.
*
* @summary Deletes a streaming job.
* x-ms-original-file: specification/streamanalytics/resource-manager/Microsoft.StreamAnalytics/stable/2020-03-01/examples/StreamingJob_Delete.json
*/
async function deleteAStreamingJob() {
const subscriptionId = "56b5e0a9-b645-407d-99b0-c64f86013e3d";
const resourceGroupName = "sjrg6936";
const jobName = "sj59";
const credential = new DefaultAzureCredential();
const client = new StreamAnalyticsManagementClient(credential, subscriptionId);
const result = await client.streamingJobs.beginDeleteAndWait(resourceGroupName, jobName);
console.log(result);
}
deleteAStreamingJob().catch(console.error);
Read this SDK documentation on how to add the SDK to your project and authenticate.
Definisi
Error
Representasi kesalahan umum.
| Name |
Type |
Description |
|
error
|
|
Properti definisi kesalahan.
|